import {isErrorLike}from'./errors.js';/**
 * Returns the extension's script URL from its manifest.
 *
 * @param extension The extension whose script URL to get.
 * @throws If the script URL can't be dtermined.
 * @returns The extension's script URL.
 */
function getScriptURLFromExtensionManifest(extension) {
    if (!extension.manifest) {
        throw new Error(`extension ${JSON.stringify(extension.id)}: no mainfest found`);
    }
    if (isErrorLike(extension.manifest)) {
        throw new Error(`extension ${JSON.stringify(extension.id)}: invalid manifest: ${extension.manifest.message}`);
    }
    if (!extension.manifest.bundleURL) {
        throw new Error(`extension ${JSON.stringify(extension.id)}: no "url" property in manifest`);
    }
    return extension.manifest.bundleURL;
}export{getScriptURLFromExtensionManifest};